import java.time.Duration;
import java.time.LocalTime;

public class Main {

	public static void main(String[] args) throws InterruptedException {
		AulaPratica aulaPratica = new AulaPratica();
		aulaPratica.setProfessor("Henrique");
		aulaPratica.setNumeroDeAlunos(35);
		aulaPratica.setDisciplina("Biologia");
		aulaPratica.setHorarioDeInicio(LocalTime.of(8, 0));
		aulaPratica.setTempoDeAula(Duration.ofSeconds(10));

		aulaPratica.setRoteiro("Pegue 1g de solução e papapa");

		Aula aulaNormal = new Aula();

		aulaNormal.setProfessor ("Jay");
		aulaNormal.setNumeroDeAlunos(1);
		aulaNormal.setDisciplina ("Java");
		aulaNormal.setHorarioDeInicio (LocalTime.of(15, 30));
		aulaNormal.setTempoDeAula (Duration.ofSeconds(5));
		Aula.escola = "Varejão do ensino";
		
		aulaNormal.setNumeroDeAlunos(-610);

		imprimeAula(aulaNormal);
		aulaPratica.darAula();
		aulaNormal.darAula();

	}

	static void imprimeAula(Aula aulaParaImprimir) {
		System.out.println("Professor da aula: " + aulaParaImprimir.getProfessor());
		System.out.println("Alunos da aula: " + aulaParaImprimir.getNumeroDeAlunos());
		System.out.println("Disciplina da aula: " + aulaParaImprimir.getDisciplina());
		System.out.println("Escola: " + Aula.escola);
		if (aulaParaImprimir instanceof AulaPratica) {
			System.out.println("Roteiro da aula: " + ((AulaPratica) aulaParaImprimir).getRoteiro());
		}
	}

}